Stophy

Suggest

Get YouTube search autocomplete suggestions for a query.

Get YouTube search autocomplete suggestions for a query.

Authorization

bearerAuth
AuthorizationBearer <token>

API key from your dashboard. Prefix with Bearer in the Authorization header.

In: header

Query Parameters

q*string

Search query.

Lengthlength <= 200
hl?string

Language code, e.g. en, fr, de. Defaults to en.

Default"en"
gl?string

Country code, e.g. US, GB, DE. Defaults to US.

Default"US"

Response Body

application/json

application/json

application/json

application/json

application/json

GET
/v1/suggest
curl -X GET "https://example.com/v1/suggest?q=string"
{  "success": true,  "requestId": "string",  "cacheState": "hit | miss",  "creditsUsed": "number",  "creditsRemaining": "number",  "data": {    "q": "string",    "hl": "string",    "gl": "string",    "suggestions": [      "string"    ]  }}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}